Bug 187081 - procmail fails to deliver into maildir mailing list boxes.
procmail fails to deliver into maildir mailing list boxes.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: procmail (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-28 06:53 EST by Han-Wen Nienhuys
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-30 08:05:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Han-Wen Nienhuys 2006-03-28 06:53:13 EST
Version-Release number of selected component (if applicable):

procmail-3.22-16.2.1

How reproducible:

non-deterministic


Hi,

I have a procmail script that delivers mail into my Maildir/ based folder setup.
After upgrading to FC5, approx 1 out of 10 mails for my mailing list
subscriptions get misdelivered, the message is always

  procmail: Couldn't create or rename temp file ".LilyPond.lilypond-bugs/new/msg.A"

this happens with multiple lists, but the file name always is "msg.A". 
The message is then diverted to my normal inbox, while leaving the header in the
list Maildir.

I would normally suspect misconfiguration at my site, but it suspiciously
coincided with the fc5 upgrade.

this is with a system running sendmail and dovecot. This happens while my mail
client (thunderbird) is also opened (polling the mbox).
Comment 1 Han-Wen Nienhuys 2006-05-30 08:05:04 EDT
probably the issue with delivering into dovecot Maildir folders, described at 

http://wiki.dovecot.org/MailboxFormat/Maildir


for some reason it wasn't triggered on FC4 and earlier.

Note You need to log in before you can comment on or make changes to this bug.